<!--
{{ $project_id := $.Site.Params.workflow.project_id }}
-->
<div
  class="group"
  x-show="project"
  x-data="{
    context: App.Workflow,
    project_id: '{{ $project_id }}',
    project: null,    
  }"
  x-init="
    project = await App.Workflow.Projects.load(project_id).catch(() => null)
  "
>  
  <a
    @click="$el.href = href_url();" 
    x-data="{ href_url: () => project?.web_url + '/-/tree/' + ((new URLSearchParams(location.search)).get('branch') || 'develop') }"
    x-bind:href="href_url()" 
    target="_blank"
    class="flex items-center space-x-1 "
    >
    <i class="flex-0 fa-solid fa-code"></i>
    <span class="flex-1 truncate" x-text="project?.name"></span>
    <i class="flex-0 text-xs fa-solid fa-arrow-up-right-from-square opacity-25"></i>
  </a>
</div>
